@echo off
echo Effettua setup dei file specifici per i 2 ambienti CMS/SCM pre build installer: verifica da nome configurazione %1

REM INIZIO eliminando i files che COMUNQUE devo copiare x target...

if %1 == "Release" goto Release
if %1 == "Debug" goto Debug
if %1 == "CMS-FANUC" goto CMS
if %1 == "CMS-OSAI" goto CMS
if %1 == "CMS-SIEMENS" goto CMS
if %1 == "SCM-ESA" goto SCM

:Release
echo Release: nulla da copiare
goto END

:Debug
echo Debug: copia file ini x simulazione ESA
del  %2"DATA\CONF\EsaKvara.ini"
copy %2"Resources\SCM\EsaKvara_SIM.ini" %2"DATA\CONF\EsaKvara.ini"
goto END

:Installer
echo Installer: non devo copiare nulla
goto END

:CMS
echo CMS: copio files CMS - Zogno
del  %2"Resources\MTCA.ico"
del  %2"DATA\CONF\Adapter_ItemList.xml"
del  %2"DATA\CONF\AlarmList.map"
del  %2"DATA\CONF\AlarmListCNC.map"
del  %2"DATA\CONF\CounterList.map"
del  %2"DATA\CONF\StatusList.map"
REM del  /F /Q %2"DATA\CONF\*.*"
copy %2"Resources\CMS\CMS.ico" %2"Resources\MTCA.ico"
copy %2"Resources\CMS\AlarmListEmpty.map" %2"DATA\CONF\AlarmListCNC.map"
REM ora verifico tipo controllo esatto...
if %1 == "CMS-FANUC" goto FANUC
if %1 == "CMS-SIEMENS" goto SIEMENS
if %1 == "CMS-OSAI" goto OSAI

:SCM
echo SCM: copio files SCM - Rimini
del  %2"Resources\MTCA.ico"
del  %2"DATA\CONF\Adapter_ItemList.xml"
del  %2"DATA\CONF\AlarmList.map"
del  %2"DATA\CONF\EsaKvara.ini"
del  %2"DATA\CONF\IOT_ByteList.map"
del  %2"DATA\CONF\IOT_WordList.map"
del  %2"DATA\CONF\IOT_DWordList.map"
del  %2"DATA\CONF\IOT_StringList.map"
REM del  /F /Q %2"DATA\CONF\*.*"
copy %2"Resources\SCM\SCM.ico" %2"Resources\MTCA.ico"
copy %2"Resources\SCM\SCM_ESA.xml" %2"DATA\CONF\Adapter_ItemList.xml"
copy %2"Resources\SCM\AlarmListEsaGv.map" %2"DATA\CONF\AlarmList.map"
copy %2"Resources\SCM\AlarmListEsaGvCNC.map" %2"DATA\CONF\AlarmListCNC.map"
copy %2"Resources\SCM\EsaKvara_PROD.ini" %2"DATA\CONF\EsaKvara.ini"
copy %2"Resources\SCM\IOT_ByteList.map" %2"DATA\CONF\IOT_ByteList.map"
copy %2"Resources\SCM\IOT_WordList.map" %2"DATA\CONF\IOT_WordList.map"
copy %2"Resources\SCM\IOT_DWordList.map" %2"DATA\CONF\IOT_DWordList.map"
copy %2"Resources\SCM\IOT_StringList.map" %2"DATA\CONF\IOT_StringList.map"
goto END

:FANUC
copy %2"Resources\CMS\FANUC.xml" %2"DATA\CONF\Adapter_ItemList.xml"
copy %2"Resources\CMS\AlarmListFANUC.map" %2"DATA\CONF\AlarmList.map"
copy %2"Resources\CMS\CounterListFANUC.map" %2"DATA\CONF\CounterList.map"
copy %2"Resources\CMS\StatusListFANUC.map" %2"DATA\CONF\StatusList.map"
goto END

:SIEMENS
copy %2"Resources\CMS\SIEMENS.xml" %2"DATA\CONF\Adapter_ItemList.xml"
copy %2"Resources\CMS\AlarmListSIEMENS.map" %2"DATA\CONF\AlarmList.map"
copy %2"Resources\CMS\CounterListSIEMENS.map" %2"DATA\CONF\CounterList.map"
copy %2"Resources\CMS\StatusListSIEMENS.map" %2"DATA\CONF\StatusList.map"
goto END

:OSAI
copy %2"Resources\CMS\OSAI.xml" %2"DATA\CONF\Adapter_ItemList.xml"
copy %2"Resources\CMS\AlarmListOSAI.map" %2"DATA\CONF\AlarmList.map"
copy %2"Resources\CMS\CounterListOSAI.map" %2"DATA\CONF\CounterList.map"
copy %2"Resources\CMS\StatusListOSAI.map" %2"DATA\CONF\StatusList.map"
goto END

:END
echo Fatto!